@import url("https://fonts.googleapis.com/css2?family=Andika:ital,wght@0,400;0,700;1,400;1,700&family=Charis+SIL:ital,wght@0,400;0,700;1,400;1,700&family=Inter:wght@100..900&family=Montserrat:ital,wght@0,100..900;1,100..900&family=Open+Sans:ital,wght@0,300..800;1,300..800&family=Poppins:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900&display=swap");

html {
  scroll-behavior: smooth;
  height: fit-content;
}

body {
  font-family: Inter;
  overflow-x: hidden;
}

.navbar {
  background-color: rgb(228, 241, 251);
  border-radius: 10px;
  padding: 15px;
  padding-top: 29px;
  padding-bottom: 29px;
  position: sticky;
  top: 0;
  z-index: 1000;
}

.butts {
  font-size: 25px;
  font-weight: 800;
  background-color: rgb(191, 236, 251);
  padding: 13px;
  border-radius: 8px;
  color: rgb(0, 149, 255);
  margin-right: 15px;
  text-decoration: none;
}

.butts:hover {
  background-color: rgb(155, 228, 252);
  cursor: pointer;
}

/* Media Query for Mobile Screens */
@media only screen and (max-width: 768px) {
  .navbar {
    height: auto;
  }

  .butts {
    font-size: 20px;
    padding: 10px;
    margin: 5px 0;
  }
}

.intro-1 {
  font-family: Montserrat;
  font-size: 28px;
  color: rgb(18, 27, 93);
  margin: 0;
  font-weight: 500;
  line-height: 46px;
}

.intro-2 {
  font-family: Montserrat;
  font-size: 60px;
  color: rgb(18, 27, 93);
  margin: 0;
  font-weight: 900;
  line-height: 76px;
}

.typewrite {
  font-family: Montserrat;
  font-size: 28px;
  color: rgb(18, 27, 93);
  margin: 0;
  font-weight: 500;
  line-height: 46px;
}

.intro {
  text-align: center;
  padding-top: 100px;
}

.img {
  display: block;
  margin: 0 auto;
  max-width: 100%;
  height: auto;
  margin-top: -50px;
  margin-bottom: 200px;
}
#home {
  position: relative;
  bottom: 200px;
}
.About {
  font-family: poppins;
  font-size: 40px;
  color: rgb(18, 27, 93);
  margin: 0;
  font-weight: 900;
  text-align: center;
  line-height: 76px;
  position: relative;
  bottom: 170px;
  text-decoration: wavy;
}
.about-1 {
  font-family: poppins;
  font-size: 20px;
  color: rgb(145, 145, 145);
  margin: 0;
  font-weight: 400;
  text-align: center;
  line-height: 76px;
  position: relative;
  bottom: 130px;
}
.me {
  font-family: poppins;
  font-size: 20px;
  max-width: 965px;
  width: fit-content;
  text-align: center;
  margin: 0 auto;
  position: relative;
  font-weight: 200;
  bottom: 160px;
  padding-left: 30px;
  padding-right: 30px;
}
.Project {
  font-family: open sans;
  font-size: 50px;
  color: rgb(18, 27, 93);
  margin: 0;
  font-weight: 900;
  text-align: center;
  line-height: 76px;
  position: relative;
  bottom: 90px;
  text-decoration: wavy;
}
.Project-1 {
  font-family: poppins;
  font-size: 20px;
  color: rgb(145, 145, 145);
  margin: 0;
  font-weight: 400;
  text-align: center;
  line-height: 76px;
  position: relative;
  bottom: 60px;
}
.details-container-1 {
  font-family: "Poppins", sans-serif;
  margin: 20px;
  padding: 1.5rem;
  flex: 1;
  background: white;
  border-radius: 2rem;
  border: rgb(53, 53, 53) 0.1rem solid;
  border-color: rgb(163, 163, 163);
  text-align: center;
  height: 600px;
  min-width: 400px;
  max-width: 500px;
  margin-top: 40px;

}
.details-container-3 {
  font-family: "Poppins", sans-serif;
  margin: 20px;
  padding: 1.5rem;
  flex: 1;
  background: white;
  border-radius: 2rem;
  border: rgb(53, 53, 53) 0.1rem solid;
  border-color: rgb(163, 163, 163);
  text-align: center;
  height: 450px;
  min-width: 400px;
  max-width: 500px;
  margin-top: 40px;

}
.details-container-2 {
  font-family: "Poppins", sans-serif;
  padding: 1.5rem;
  padding-right: 3rem;
  flex: 1;
  background: white;
  border-radius: 2rem;
  border: rgb(53, 53, 53) 0.1rem solid;
  border-color: rgb(163, 163, 163);
  text-align: center;
  height: 800px;
  width: fit-content;
  max-width: 445px;
  margin: 0 auto;
  margin-top: 40px;
}
.experience-sub-title {
  font-family: "Poppins", sans-serif;
  text-align: center;
  margin: 0;
  padding: 0;
  color: rgb(85, 85, 85);
  font-weight: 600;
  font-size: 1.75rem;
  margin-bottom: 2rem;
}
.article-container {
  font-family: "Poppins", sans-serif;
  margin: 0;
  padding: 0;
  display: flex;
  text-align: initial;
  flex-wrap: wrap;
  flex-direction: row;
  gap: 2.5rem;
  justify-content: space-around;
}
.icon {
  font-family: "Poppins", sans-serif;
  text-align: initial;
  margin: 0;
  padding: 0;
  height: 2rem;
  cursor: default;
}
article {
  font-family: "Poppins", sans-serif;
  text-align: initial;
  margin: 0;
  padding: 0;
  width: 10rem;
  justify-content: space-around;
  gap: 0.5rem;
}
h3 {
  display: block;
  font-size: 1.17em;
  margin-block-start: 1em;
  margin-block-end: 1em;
  margin-inline-start: 0px;
  margin-inline-end: 0px;
  font-weight: bold;
  unicode-bidi: isolate;
}
.short-skills {
  color: rgb(85, 85, 85);
  position: relative;
  bottom: 65px;
  left: 50px;
}
.big-short-skill {
  position: relative;
  bottom: 55px;
  left: 50px;
}
.holder-1 {
  margin: 0 auto;
  display: flex;
  flex-wrap: wrap;
  justify-content: center;
}
.years {
  display: block;
  font-size: 20px;
  color: rgb(85, 85, 85);
  margin-block-start: 1em;
  margin-block-end: 1em;
  margin-inline-start: 0px;
  margin-inline-end: 0px;
  font-weight: bold;
  unicode-bidi: isolate;
  position: relative;
  bottom: 20px;
}
.Exp {
  font-family: open sans;
  font-size: 50px;
  color: rgb(18, 27, 93);
  margin: 0;
  font-weight: 900;
  text-align: center;
  line-height: 76px;
  position: relative;
  bottom: -50px;
  text-decoration: wavy;
}
.Exp-1 {
  font-family: poppins;
  font-size: 20px;
  color: rgb(145, 145, 145);
  margin: 0;
  font-weight: 400;
  text-align: center;
  line-height: 76px;
  position: relative;
  bottom: -70px;
}
#Proj {
  position: relative;
  bottom: 100px;
}
.proj-img{
  height: 300px;
  width: 300px;
  border-radius: 20px 20px 0px 0px;
  margin-right: 40px;
}

.allofem{
  display: flex; 
  width: fit-content;
  height: fit-content;
  margin: 0 auto;
  flex-wrap: wrap;
  justify-content: center;
  margin-bottom: 20px;
  position: relative;
  bottom: 100px;
}

.prj1{
  height: 50px;
  position: relative;
  bottom: 4.5px;
  width: 150px;
  border: 1px solid grey;
  background-color: white;
  font-size: 17px;
  font-family: poppins;
}
.prj2{
  height: 50px;
  position: relative;
  bottom: 4.5px;
  width: 150px;
  border: 1px solid grey;
  background-color: white;
  font-size: 17px;
  font-family: poppins;
}
.prj1:hover,.prj2:hover{
  background-color: rgb(221, 221, 221);
}
.title{
  font-family: poppins;
  font-size: 20px;
  position: relative;
}
.porjs{
  position:relative; 
  top: 90px; 
  height: 350px; 
  width: 300px;
  border-radius: 30px 30px 0px 0px;
  margin-right: 60px;
  margin-top: 90px;
  text-align: center;
  transition: transform 0.3s ease;
}
.porjs:hover{
  transform: scale(1.1);
}
.html-projs{
  text-align: center;
  position: relative;
  top: 70px;
  font-size: 30px;
  font-weight: 500;
}
.next-projs{
  text-align: center;
  position: relative;
  top: 70px;
  font-size: 30px;
  font-weight: 500;
  margin-top: 100px;
}
.eachOne {
  display: flex; 
  justify-content: center; 
  flex-direction: column; 
  align-items: center; 
  height: 100%;
  transition: transform 0.3s ease-in-out;
  margin-right: 30px;
  margin-top: 50px;
  flex-basis: calc(33.33% - 50px); 
}

.eachOne:hover{
  transform: scale(1.1);
}
.contact-info {
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  background-color: #fff;
  padding: 40px;
  border-radius: 10px;
  margin: 70px auto;
  width: fit-content;
  box-shadow: 0 0 20px rgba(0, 0, 0, 0.1);
}

.contact-info p {
  margin: 20px 0;
  font-size: 18px;
}

.contact-info a {
  color: #333;
  text-decoration: none;
  font-weight: bold;
  font-size: 20px;
  transition: color 0.3s ease;
}

.contact-info a:hover {
  color: #0077b5; /* LinkedIn's brand color */
  text-decoration: underline;
}
.contact-link a::after {
  content: " - " attr(href);
}

@media (max-width: 600px) {
  .contact-link a::after {
      content: "";
  }
}
